A table that contains MAC-Based VLAN list entries for the switch. Management users can create a MAC-Based VLAN entry by adding a new list (swMacBaseVlanCtrlEntry) in this table.
OID reference
swMacBaseVlanCtrlTable
1.3.6.1.4.1.171.11.24.5.1.4.2
Description
A table that contains MAC-Based VLAN list entries for the switch. Management users can create a MAC-Based VLAN entry by adding a new list (swMacBaseVlanCtrlEntry) in this table.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.171.11.24.5.1.4 (swMacBaseVlanPackage)
- Node code
- 2
- Node name
- swMacBaseVlanCtrlTable
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.171.11.24.5.1.4.2
- URN notation
- urn:oid:1.3.6.1.4.1.171.11.24.5.1.4.2
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 171 11 24 5 1 4 2}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) my(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nms(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) dlink(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) d-link(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) company(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) my(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nms(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) dlink(171) dlink-mgmt(11) des3225gSeries(24) swVlanPackage(5) swVlanCtrl(1) swMacBaseVlanPackage(4) swMacBaseVlanCtrlTable(2)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/171/11/24/5/1/4/2
- /ISO/Identified-Organization/6/1/4/1/171/11/24/5/1/4/2
- /ISO/3/6/1/4/1/171/11/24/5/1/4/2
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/dlink/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprise/d-link/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprise/company/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprise/my/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprise/nms/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprises/dlink/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprises/d-link/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprises/company/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprises/my/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/enterprises/nms/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/dlink/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/d-link/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/company/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/my/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/nms/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- /iso/identified-organization/dod/internet/private/vendor-objects/dlink/dlink-mgmt/des3225gSeries/swVlanPackage/swVlanCtrl/swMacBaseVlanPackage/swMacBaseVlanCtrlTable
- Additional combinations skipped.
SNMP properties
- Value type
- SEQUENCE OF SwMacBaseVlanCtrlEntry
- Maximum access defined by MIB
- not-accessible
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
swMacBaseVlanCtrlTable OBJECT-TYPE
SYNTAX SEQUENCE OF SwMacBaseVlanCtrlEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A table that contains MAC-Based VLAN list entries for the switch.
Management users can create a MAC-Based VLAN entry by adding a new
list (swMacBaseVlanCtrlEntry) in this table."
::= { swMacBaseVlanPackage 2 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
swMacBaseVlanCtrlTable · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: swMacBaseVlanCtrlTable
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swMacBaseVlanCtrlTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"SwMacBaseVlanCtrlEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A table that contains MAC-Based VLAN list entries for the switch. Management users can create a MAC-Based VLAN entry by adding a new list (swMacBaseVlanCtrlEntry) in this table.\"",
"::=",
"{",
"swMacBaseVlanPackage",
"2",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"SwMacBaseVlanCtrlEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A table that contains MAC-Based VLAN list entries for the switch. Management users can create a MAC-Based VLAN entry by adding a new list (swMacBaseVlanCtrlEntry) in this table."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: MIB.zip
Module: VLAN-MIB
See published definition above
· Download Vlan.mibModule imports
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)
Direct children (1)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.24.5.1.4.2.1 | swMacBaseVlanCtrlEntry | 3 | 3 |
Siblings (3)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.24.5.1.4.1 | swMacBaseVlanTotalNum | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.5.1.4.3 | swMacBaseVlanAddrTotalNum | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.5.1.4.4 | swMacBaseVlanAddrTable | 1 | 5 |